package com.ruoyi.ems.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 能源对象上报日志表 adm_ems_obj_report_log
 *
 * @author ruoyi
 * @date 2025-02-27
 */
public class EmsObjReportLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 对象代码
     */
    private String objCode;

    private String objName;

    /**
     * 对象类型
     */
    private String modelCode;

    /**
     * 消息描述
     */
    private String msgDesc;

    /**
     * 响应时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportTime;

    /**
     * 响应内容
     */
    private String reportPayload;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getObjCode() {
        return objCode;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public String getModelCode() {
        return modelCode;
    }

    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    public String getMsgDesc() {
        return msgDesc;
    }

    public void setMsgDesc(String msgDesc) {
        this.msgDesc = msgDesc;
    }

    public Date getReportTime() {
        return reportTime;
    }

    public void setReportTime(Date reportTime) {
        this.reportTime = reportTime;
    }

    public String getReportPayload() {
        return reportPayload;
    }

    public void setReportPayload(String reportPayload) {
        this.reportPayload = reportPayload;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("objCode", getObjCode())
            .append("modelCode", getModelCode())
            .append("msgDesc", getMsgDesc())
            .append("reportTime", getReportTime())
            .append("reportPayload", getReportPayload()).toString();
    }
}
